## org.apache.poi.ss.formula.ptg
Class ScalarConstantPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.ScalarConstantPtg

Direct Known Subclasses:
  BoolPtg, ErrPtg, IntPtg, MissingArgPtg, NumberPtg, StringPtg

    public abstract class ScalarConstantPtg

extends Ptg

Common superclass of all `Ptg`s that represent simple constant values.

Author:
  Josh Micich

Field Summary

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Constructor Summary
`ScalarConstantPtg()`

Method Summary
`byte` `getDefaultOperandClass()`
`boolean` `isBaseToken()`
`java.lang.String` `toString()` Overridden toString method to ensure object hash is not printed.

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, getSize, readTokens, serializePtgs, setClass, toFormulaString, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScalarConstantPtg

    public ScalarConstantPtg()

Method Detail

### isBaseToken

    public final boolean isBaseToken()

  Specified by:
    `isBaseToken` in class `Ptg`
  Returns:
    `false` if this token is classified as 'reference', 'value', or 'array'

### getDefaultOperandClass

    public final byte getDefaultOperandClass()

  Specified by:
    `getDefaultOperandClass` in class `Ptg`

### toString

    public final java.lang.String toString()

  Description copied from class: `Ptg`
  Overridden toString method to ensure object hash is not printed. This helps get rid of gratuitous diffs when comparing two dumps Subclasses may output more relevant information by overriding this method

  Overrides:
    `toString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.